BJScripts - Bug #1360

Bug with Inventory
2015-03-11 02:25 PM - raster

Status: Feedback Required
Priority: Normal

Assignee: bjcasey

Category: Broken Feature(s)

Target version:

vbulletin_issue_id:

Description
| have the following error with the inventory Price match function.

It is pricing the items in the "Legend's Display Case" Capacity 30, broker fee reduction says 25%.
The script will unlist everything for sale there and then not relist them due to the error shown below.

Item Number: 18 of 19

ltemName: wind elemental core

MyBrokerltemPrice: 380000.000000 // MyBrokerltemMerchantValue: 0.070000

17:15:35: Unlisting wind elemental core in order to price match.

BrokerltemBasePrice: 437500.000000 // BrokerltemCommisionPrice: 481250.000000 // BrokerltemCommisionFee: 10.00%
17:15:36: ERROR: My Broker Commission Fee is 15%. This number should not be possible. Report this error to bjcasey.

History

#1 - 2015-04-16 07:09 AM - bjcasey
- Status changed from New to Feedback Required

In Patch # 110 | have added an additional debug message to help me narrow down why this is happening. Look for the following message in your
console:

ERROR;[#]: Broker Commission Fee is ...

| need to know the value of the #.

#2 - 2015-04-16 07:26 AM - bjcasey
Also, when you are selling something from that box and you click on the item in the broker search window, what does it say for the Commission % is?

Example: | have a Veteran Display case with ItemX. | set the price and then search for it. | click on the item in the search results and at the button of
my broker window it shows that: "Commision is 10% for ..... markets."

#3 - 2015-05-08 08:31 PM - raster

MyBrokerltemPrice: 0.000000 // MyBrokerltemMerchantValue: 0.070000

23:18:38: Unlisting Arf Ghav Keff in order to price match.

BrokerltemBasePrice: 6800.000000 // BrokerltemCommisionPrice: 7480.000000 // BrokerltemCommisionFee: 10.00%
23:18:39: ERROR]J3]: My Broker Commission Fee is 15%. This number should not be possible. Report this error to bjcasey.

Iltem Number: 93 of 93

IltemName: Granite Clotl'thoa Idol

MyBrokerltemPrice: 0.000000 // MyBrokerltemMerchantValue: 0.070000

23:18:40: Unlisting Granite Clotl'thoa Idol in order to price match.

BrokerltemBasePrice: 5500.000000 // BrokerltemCommisionPrice: 6600.000000 // BrokerltemCommisionFee: 20.00%
23:18:41: ERRORI3]: My Broker Commission Fee is 15%. This number should not be possible. Report this error to bjcasey.

So Error number is 3.

In the Broker window it says the commision is 15%
